Subject: bug#20385: Support curved quotes in doc strings

From: Ivan Shmakov <[email-masked]>
Date: Thu, 14 May 2015 07:20:17 +0000

>>>>> Dmitry Gutov <[email-masked]> writes:
>>>>> On 05/13/2015 06:13 PM, Paul Eggert wrote:

[…]

 >> That's been proposed, but nobody has taken the time to do it.  Plus,
 >> it'd be One More Thing; it's simpler if doc strings are plain
 >> strings and are not little subsets of Markdown or whatever.

 > That's trivial, if there's agreement to do it. I don't really
 > understand the motivation for the original proposal (to switch away
 > from `...'), so it's not clear to me if font-locking would satisfy
 > it.

	That’s simple: the ` character is not a quotation mark at all.
	In fact, it’s the spacing variant of the very same diacritical
	mark as is shown above e in è.

	The rationale was that one can encode ‘è’ as ‘e\010`’ if there’s
	no “native” è character in the target (ASCII-based) encoding.
	Just like one may encode “bold” and “underline”; consider, say:

$ printf 'b\b_o\b_l\b_d\b_ u\bun\bnd\bde\ber\brl\bli\bin\bne\be\n' | less 

	The very same trick that up to this day is used by man(1).

[…]

-- 
FSF associate member #7257  http://am-1.org/~ivan/      … 3013 B6A0 230E 334A